QSqlEditorFactory(3qt)

NAME
QSqlEditorFactory - Used to create the editors used by QDataTable and QSqlForm

SYNOPSIS
#include <qsqleditorfactory.h>

Inherits QEditorFactory.

  Public Members
QSqlEditorFactory ( QObject * parent = 0, const char * name = 0 )
~QSqlEditorFactory ()
virtual QWidget * createEditor ( QWidget * parent, const QVariant & variant )
virtual QWidget * createEditor ( QWidget * parent, const QSqlField * field )

  Static Public Members
QSqlEditorFactory * defaultFactory ()
void installDefaultFactory ( QSqlEditorFactory * factory )

DESCRIPTION
The QSqlEditorFactory class is used to create the editors used by QDataTable and QSqlForm.

QSqlEditorFactory is used by QDataTable and QSqlForm to automatically create appropriate editors for a given QSqlField. For example if the field is a QVariant::String a QLineEdit would be the default editor, whereas a QVariant::Int's default editor would be a QSpinBox.

If you want to create different editors for fields with the same data type, subclass QSqlEditorFactory and reimplement the createEditor() function.

See also QDataTable, QSqlForm, and Database Classes.

MEMBER FUNCTION DOCUMENTATION

QSqlEditorFactory::QSqlEditorFactory ( QObject * parent = 0, const char * name = 0 )
Constructs a SQL editor factory with parent parent, called name.

QSqlEditorFactory::~QSqlEditorFactory ()
Destroys the object and frees any allocated resources.

QWidget * QSqlEditorFactory::createEditor ( QWidget * parent, const QVariant & variant ) [virtual]
Creates and returns the appropriate editor widget for the QVariant variant.

The widget that is returned has the parent parent (which may be zero). If variant is invalid, 0 is returned.

Reimplemented from QEditorFactory.

QWidget * QSqlEditorFactory::createEditor ( QWidget * parent, const QSqlField * field ) [virtual]
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Creates and returns the appropriate editor for the QSqlField field.

QSqlEditorFactory * QSqlEditorFactory::defaultFactory () [static]
Returns an instance of a default editor factory.

void QSqlEditorFactory::installDefaultFactory ( QSqlEditorFactory * factory ) [static]
Replaces the default editor factory with factory. All QDataTable and QSqlForm instantiations will use this new factory for creating field editors. QSqlEditorFactory takes ownership of &#92;a factory, and destroys it when it is no longer needed.

SEE ALSO
http://doc.trolltech.com/qsqleditorfactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsqleditorfactory.3) and the Qt version (3.3.4).